Skip to main content
GET
/
v1
/
agents
/
{workflow_permanent_id}
/
tags
/
history
Get agent tag history
curl --request GET \
  --url https://api.skyvern.com/v1/agents/{workflow_permanent_id}/tags/history
{
  "workflow_permanent_id": "<string>",
  "events": [
    {
      "tag_event_id": "<string>",
      "key": "<string>",
      "value": "<string>",
      "event_type": "<string>",
      "source": "<string>",
      "set_at": "2023-11-07T05:31:56Z",
      "set_by": "<string>",
      "superseded_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Headers

x-api-key
string | null

Skyvern API key for authentication. API key can be found at https://app.skyvern.com/settings.

Path Parameters

workflow_permanent_id
string
required

Workflow permanent ID

Example:

"wpid_123"

Query Parameters

limit
integer
default:100

Max events to return

Required range: 1 <= x <= 500
since
string<date-time> | null

Only return events at or after this timestamp

key
string | null

Filter to events for a single tag key

Response

Successfully retrieved tag history

workflow_permanent_id
string
required
events
TagHistoryItem · object[]
required